Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Class KeyedValues3DItemKeys

java.lang.Object
org.jfree.chart3d.data.KeyedValues3DItemKeys

public class KeyedValues3DItemKeys extends Object
Utility methods related to the `KeyedValues3DItemKey` class.

Since:
  1.3

## Method Summary

Modifier and Type
Method
Description
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T>
Collection<KeyedValues3DItemKey>`
`itemKeysForColumn(KeyedValues3D<S,R,C,T> data, C columnKey)`
Returns a collection containing all the item keys for the specified column.
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T>
Collection<KeyedValues3DItemKey>`
`itemKeysForRow(KeyedValues3D<S,R,C,T> data, R rowKey)`
Returns a collection containing all the item keys for the specified row.
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T>
Collection<KeyedValues3DItemKey>`
`itemKeysForSeries(KeyedValues3D<S,R,C,T> data, S seriesKey)`
Returns a collection containing all the item keys for the specified series.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### itemKeysForSeries

public static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T> Collection<KeyedValues3DItemKey> itemKeysForSeries(KeyedValues3D<S,R,C,T> data, S seriesKey)
Returns a collection containing all the item keys for the specified series.

Type Parameters:
  `S` - the series key type
  `R` - the row key type
  `C` - the column key type
  `T` - the value type
Parameters:
  `data` - the data (`null` not permitted).
  `seriesKey` - the series key (`null` not permitted).
Returns:
  A collection of item keys (never `null`).

### itemKeysForRow

public static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T> Collection<KeyedValues3DItemKey> itemKeysForRow(KeyedValues3D<S,R,C,T> data, R rowKey)
Returns a collection containing all the item keys for the specified row.

Type Parameters:
  `S` - the series key type
  `R` - the row key type
  `C` - the column key type
  `T` - the value type
Parameters:
  `data` - the data (`null` not permitted).
  `rowKey` - the row key (`null` not permitted).
Returns:
  A collection of item keys (never `null`).

### itemKeysForColumn

public static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>, T> Collection<KeyedValues3DItemKey> itemKeysForColumn(KeyedValues3D<S,R,C,T> data, C columnKey)
Returns a collection containing all the item keys for the specified column.

Type Parameters:
  `S` - the series key type
  `R` - the row key type
  `C` - the column key type.
  `T` - the value type.
Parameters:
  `data` - the data (`null` not permitted).
  `columnKey` - the column key (`null` not permitted).
Returns:
  A collection of item keys (never `null`).